/* -- -- -- -- -- COMPONENT THUMBNAIL - DÉBUT -- -- -- -- -- */

.thumbnail {
  display: flex;
  flex-direction: column;
  gap: 16px;
  position: relative;
}

.thumbnail > .category {
  margin-bottom: -8px;
  font-size: 1rem;
  line-height: 1.125rem;
  color: var(--color-primary);
  font-family: var(--ffMRe);
}

.thumbnail > .name {
  text-transform: none;
  font-size: 1.125rem;
  line-height: 1.375rem;
  color: var(--color-primary);
  font-family: var(--ffSBo);
}

.thumbnail > .illustration {
  aspect-ratio: 1/1;
}

.thumbnail > .icon {
  position: absolute;
  top: 18px;
  right: 18px;
}

.thumbnail > .icon path {
  fill: var(--color-primary);
}

@media (pointer: fine) {
  .thumbnail > .icon path {
    fill: var(--color-grey);
    transition: all 0.3s ease;
  }

  .thumbnail:hover > .icon path {
    fill: var(--color-primary);
    transition: all 0.3s ease;
  }
}
/* -- -- -- -- -- COMPONENT THUMBNAIL - FIN -- -- -- -- -- */
